oracle.hadoop.balancer.examples.invindx

## Class InvertedIndex.InvertedIndexValue

- java.lang.Object
- - oracle.hadoop.balancer.examples.invindx.InvertedIndex.InvertedIndexValue

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable
  Enclosing class:
    InvertedIndex

      public static class InvertedIndex.InvertedIndexValue
      extends java.lang.Object
      implements org.apache.hadoop.io.Writable

  Value class, contains the location of the word and its offset within that location. For example, the file name of the document, and the offset of the word inside that document.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InvertedIndex.InvertedIndexValue.Comparator` A comparator for the value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvertedIndex.InvertedIndexValue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `hashCode()`
    `void` | `readFields(java.io.DataInput in)`
    `void` | `set(InvertedIndex.InvertedIndexValue ielm)`
    `void` | `set(java.lang.String locationStr, int countInt, long offsetLong)`
    `java.lang.String` | `toString()`
    `void` | `write(java.io.DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvertedIndex.InvertedIndexValue

          public InvertedIndex.InvertedIndexValue()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### readFields

          public void readFields(java.io.DataInput in)
                          throws java.io.IOException

      Specified by:
        `readFields` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `java.io.IOException`

    - #### set

          public void set(InvertedIndex.InvertedIndexValue ielm)

    - #### set

          public void set(java.lang.String locationStr,
                 int countInt,
                 long offsetLong)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### write

          public void write(java.io.DataOutput out)
                     throws java.io.IOException

      Specified by:
        `write` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `java.io.IOException`

Copyright © 2013, 2014, Oracle and/or its affiliates. All rights reserved.